From 9f4eedf194102b9bcc1fb9885463a47dd3ca9ec8 Mon Sep 17 00:00:00 2001
From: Mikolaj Izdebski <mizdebsk@redhat.com>
Date: Wed, 25 Mar 2020 06:58:13 +0100
Subject: [PATCH] Use PATH env variable instead of JAVA_HOME

---
 .../plexus/interpolation/EnvarBasedValueSourceTest.java         | 2 +-
 .../plexus/interpolation/fixed/EnvarBasedValueSourceTest.java   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/java/org/codehaus/plexus/interpolation/EnvarBasedValueSourceTest.java b/src/test/java/org/codehaus/plexus/interpolation/EnvarBasedValueSourceTest.java
index 8a3c76c..4bcff96 100644
--- a/src/test/java/org/codehaus/plexus/interpolation/EnvarBasedValueSourceTest.java
+++ b/src/test/java/org/codehaus/plexus/interpolation/EnvarBasedValueSourceTest.java
@@ -77,7 +77,7 @@ public class EnvarBasedValueSourceTest {
 
         EnvarBasedValueSource source = new EnvarBasedValueSource();
 
-        String realEnvVar = "JAVA_HOME";
+        String realEnvVar = "PATH";
 
         String realValue = System.getenv().get(realEnvVar);
         assertNotNull(realValue, "Can't run this test until " + realEnvVar + " env variable is set");
diff --git a/src/test/java/org/codehaus/plexus/interpolation/fixed/EnvarBasedValueSourceTest.java b/src/test/java/org/codehaus/plexus/interpolation/fixed/EnvarBasedValueSourceTest.java
index b6ff638..42c601c 100644
--- a/src/test/java/org/codehaus/plexus/interpolation/fixed/EnvarBasedValueSourceTest.java
+++ b/src/test/java/org/codehaus/plexus/interpolation/fixed/EnvarBasedValueSourceTest.java
@@ -77,7 +77,7 @@ public class EnvarBasedValueSourceTest {
 
         EnvarBasedValueSource source = new EnvarBasedValueSource();
 
-        String realEnvVar = "JAVA_HOME";
+        String realEnvVar = "PATH";
 
         String realValue = System.getenv().get(realEnvVar);
         assertNotNull(realValue, "Can't run this test until " + realEnvVar + " env variable is set");
-- 
2.41.0

